use crate::{storage::Postgres, text_encoder::TextEncoder, tokenize::Tokenizer};

#[derive(Debug, Clone)]
pub struct AppState {
    pub db: Postgres,
    pub tokenizer: Tokenizer,
    pub embedder: TextEncoder,
    pub reranker: TextEncoder,
    pub chunk_size: usize,
}
